Bug 216542 - Glassfish causes ClassNotFoundExceptions
Glassfish causes ClassNotFoundExceptions
Status: RESOLVED DUPLICATE of bug 211962
Product: serverplugins
Classification: Unclassified
Component: GlassFish
7.2
All All
: P1 (vote)
: TBD
Assigned To: TomasKraus
issues@serverplugins
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-08 13:58 UTC by Exceptions Reporter
Modified: 2012-08-30 14:25 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (2.63 KB, text/plain)
2012-08-08 13:58 UTC, Exceptions Reporter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Exceptions Reporter 2012-08-08 13:58:20 UTC
This bug was originally marked as duplicate of bug 211962, that is already resolved. This bug is still valid, so this seems to be another bug, but it might be related.

Build: NetBeans IDE 7.2 (Build 201207171143)
VM: Java HotSpot(TM) Client VM, 23.1-b03, Java(TM) SE Runtime Environment, 1.7.0_05-b05
OS: Windows XP

Stacktrace: 
java.lang.ClassNotFoundException: org.openide.util.Enumerations$RNulls
   at java.net.URLClassLoader$1.run(URLClassLoader.java:366)
   at java.net.URLClassLoader$1.run(URLClassLoader.java:355)
   at java.security.AccessController.doPrivileged(AccessController.java:0)
   at java.net.URLClassLoader.findClass(URLClassLoader.java:354)
   at java.lang.ClassLoader.loadClass(ClassLoader.java:423)
   at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:308)
Comment 1 Exceptions Reporter 2012-08-08 13:58:22 UTC
Created attachment 122873 [details]
stacktrace
Comment 2 Jaroslav Tulach 2012-08-09 09:53:34 UTC
I see no direct use of webservices, but glassfish is involved. As glassfish has very bad reputation of breaking the global classpath assigning there. Btw. glassfish guys, the report is from 7.2 (so your webservices tricks should have already been fixed).
Comment 3 Vince Kraemer 2012-08-10 19:43:16 UTC
see if this is related to bug 211962...  and then see if we can find out what the cause is
Comment 4 TomasKraus 2012-08-13 11:56:14 UTC
211962 bug (1.6.0_31) exception was
java.lang.NoClassDefFoundError org/openide/util/Enumerations$1RDupls
This (1.7.0_05) one is
java.lang.ClassNotFoundException: org.openide.util.Enumerations$RNulls

So this looks like the same issue. Unfortunately there is no information about GlassFish version. Knowing that it was 3.1.2 would be very helpful.
Comment 5 TomasKraus 2012-08-30 14:25:08 UTC
Please try to reproduce this bug with GlassFish 3.1.2.2 and feel free to reopen it if you'll see the same problem with GlassFish 3.1.2.2.

*** This bug has been marked as a duplicate of bug 211962 ***


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo